<?php use_helper('I18N', 'Date', 'Object', 'Transfercar', 'sfCombine') ?>
<?php use_stylesheet_grouped('/sf/sf_admin/css/main') ?>

<div id="sf_admin_container" class="booking_list">
<style type="text/css">
    #sf_admin_container h3 {
        font-size: 20px;
    }

    #sf_admin_container h1,
    #sf_admin_container h3,
    #sf_admin_container .table {
        margin-bottom: 20px;
    }
</style>
<h1>
    Bookings confirmation
</h1>

<div id="sf_admin_header">

</div>

<div id="sf_admin_content">
    <?php if (count($requests) == 0): ?>
        <?php echo __('You have no selected request.') ?>
    <?php else: ?>
            <table class="table sf_admin_list">
                <thead>
                    <tr>
                        <?php foreach ($headers as $header): ?>
                            <th><?php echo $header ?></th>
                        <?php endforeach ?>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach ($requests as $request): ?>
                        <tr>
                            <?php foreach ($request as $column): ?>
                                <td><?php echo $column ?></td>
                            <?php endforeach ?>
                        </tr>
                    <?php endforeach ?>
                </tbody>
            </table>
            <?php echo link_to('Download', 'bookings/export?ids='.implode(',', $request_ids->getRawValue())) ?>
    <?php endif ?>
</div>
</div>
