<?php use_helper('I18N', 'Date', 'Object', 'Transfercar', 'sfCombine') ?>
<?php use_stylesheet_grouped('/sf/sf_admin/css/main') ?>

<div id="sf_admin_container" class="booking_list">
<style type="text/css">
    #sf_admin_container h3 {
        font-size: 20px;
    }

    #sf_admin_container h1,
    #sf_admin_container h3,
    #sf_admin_container .table {
        margin-bottom: 20px;
    }
    #sf_admin_container .sf_admin_list input {
        margin-right: 10px;
    }

    table {
        margin-top: 20px;
    }
</style>
<h1>
    Select your credits
</h1>
<p>You don't have enough credits to accept these request, please purchase at least <?php echo $amount ?> credits to proceed.</p>

<div id="sf_admin_header">

</div>

<div id="sf_admin_content" class="text-center">

    <form action="<?php echo url_for('payment/selectCredits') ?>" method="post" class="reveal-ajax">
<table class="sf_admin_list">
    <?php $last = 0 ?>
    <?php foreach ($credits as $i => $item): ?>
        <?php if (false && $amount > $last && $amount < $item["credit"]): ?>
            <tr>
                <td><input id="credit_custom" type="radio" name="credits" value="<?php echo $amount ?>" checked="checked" /><?php echo $amount ?></td>
                <td><?php echo round($creditPrice*$amount, 2) . " " . $currency_name . "  (" . $creditPrice . " $currency_name/".__('credit').")"; ?></td>
            </tr>
        <?php endif ?>
        <?php if ($amount <= $item["credit"]): ?>
            <tr>
                <td>
                    <input id="credit_<?php echo $i ?>" type="radio" name="credits" value="<?php echo $item["id"] ?>" <?php if ($item["id"] == $payment_info): ?> checked="checked" <?php endif; ?>/><?php echo $item["credit"] ?>
                </td>
                <td>
                     <?php echo $item["price"] . " " . $currency_name . "  (" . round($item["price"]/$item["credit"], 2) . " $currency_name/".__('credit').")"; ?>
                </td>
            </tr>
        <?php endif ?>
    <?php $last = $item["credit"] ?>
    <?php $creditPrice = round($item["price"]/$item["credit"], 2) ?>
    <?php endforeach; ?>
</table>
<button class="button primary">Proceed to payment</button>
</form>
</div>
</div>