<?php use_helper('I18N', 'Date', 'Object', 'Transfercar', 'sfCombine') ?>
<?php use_stylesheet_grouped('/sf/sf_admin/css/main') ?>

<div id="sf_admin_container" class="booking_list">
<style type="text/css">
    #sf_admin_container h3 {
        font-size: 20px;
    }

    #sf_admin_container h1,
    #sf_admin_container h3,
    #sf_admin_container .table {
        margin-bottom: 20px;
    }
</style>
<h1>
    Listing cost summary
</h1>

<div id="sf_admin_header">

</div>

<div id="sf_admin_content">
    <?php if (count($requests) == 0): ?>
        <?php echo __('You have no selected request.') ?>
    <?php else: ?>

        <form action="<?php echo url_for('bookings/confirm') ?>" method="post">

            <table class="table sf_admin_list">
                <thead>
                    <tr>
                        <th>Driver</th>
                        <th>Pickup date</th>
                        <th>Pickup time</th>
                        <th>Dropoff date</th>
                        <th>Dropoff time</th>
                        <th>Vehicle</th>
                        <th>Free days</th>
                        <th>Paid days</th>
                        <th>Cost</th>
                    </tr>
                </thead>
                <tbody>
                    <?php $total = 0 ?>
                    <?php foreach ($requests as $request): ?>
                        <tr>
                            <td><?php echo $request->get('Driver')->getShortName() ?></td>
                            <td><?php echo tc_format_date($request->get('pickup_date'), 'short') ?></td>
                            <td><?php echo format_time($request->get('pickup_time')) ?></td>
                            <td><?php echo tc_format_date($request->get('drop_off_date'), 'short') ?></td>
                            <td><?php echo format_time($request->get('dropoff_time')) ?></td>
                            <td></td>
                            <td><?php echo $request->get('nb_free_days') ?></td>
                            <td><?php echo $request->get('nb_paid_days') ?></td>
                            <td>
                                <?php echo $request->get('Listing')->getTotalPrice($request) ?> credits
                                <input type="hidden" name="request[]" value="<?php echo $request->getId() ?>"/>
                            </td>
                        </tr>
                        <?php $total += $request->get('Listing')->getTotalPrice($request) ?>
                    <?php endforeach ?>
                </tbody>
            </table>

            <div>

                <strong>Total cost: <?php echo $total ?> credits</strong>
                <button class="button primary">Process payment</button>
            </div>
        </form>
    <?php endif ?>
</div>
</div>
