<?php decorate_with(false) ?><!--
=========================================================
* Argon Dashboard - v1.2.0
=========================================================
* Product Page: https://www.creative-tim.com/product/argon-dashboard


* Copyright  Creative Tim (http://www.creative-tim.com)
* Coded by www.creative-tim.com



=========================================================
* The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
-->
<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="Start your development with a Dashboard for Bootstrap 4.">
  <meta name="author" content="Creative Tim">
  <title>Transfercar RO Dashboard</title>
  <!-- Favicon -->
  <link rel="icon" href="https://staging.transfercar.co.nz/images/favicon/favicon.ico" type="image/png">
  <!-- Fonts -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700">
  <!-- Icons -->
  <link rel="stylesheet" href="/rodashboard/assets/vendor/nucleo/css/nucleo.css" type="text/css">
  <link rel="stylesheet" href="/rodashboard/assets/vendor/@fortawesome/fontawesome-free/css/all.min.css" type="text/css">
  <!-- Page plugins -->
  <!-- Argon CSS -->
  <link rel="stylesheet" href="/rodashboard/assets/css/argon.css?v=1.2.0" type="text/css">

  <style type="text/css">
    /* Chrome, Safari, Edge, Opera */
    input::-webkit-outer-spin-button,
    input::-webkit-inner-spin-button {
      -webkit-appearance: none;
      margin: 0;
    }

    /* Firefox */
    input[type=number] {
      -moz-appearance: textfield;
    }
body {

font-family: "Helvetica Neue", "Helvetica", Helvetica, Arial, sans-serif;
}


.dropdown:hover .dropdown-menu {
    display: block;
    margin-top: 0; 
 }
.nav-link:focus, .nav-link:hover {outline: none;}
    .list-group-item, .nav-link {
       font-size:13px;
    }

    .nav-link {
      font-weight: 700;
    }
    .navbar-top, .navbar-brand {
      background-color: #2c3e50!important;
    }

    .card .table td, .card .table th {
      padding-right: 0.7rem;
      padding-left: 0.7rem;
    }
  </style>
</head>

<body>
<?php if (sfConfig::get('sf_environment') != 'dev' &&  strpos($sf_request->getHost(), 'staging.') === false): ?>
<!-- Google Tag Manager -->
<noscript><iframe src="//www.googletagmanager.com/ns.html?id=<?php echo sfConfig::get('app_google_tag_manager_'.$_SERVER['TRANSFER_CAR_COUNTRY']) ?>"
height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
'//www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
})(window,document,'script','dataLayer','<?php echo sfConfig::get('app_google_tag_manager_'.$_SERVER['TRANSFER_CAR_COUNTRY']) ?>');
</script>
<?php else: ?>
  <script>
    var dataLayer = [];
  </script>
<?php endif ?>
  
  <!-- Main content -->
  <div class="main-content" id="panel">
    <!-- Topnav -->
    <nav class="navbar navbar-top navbar-expand navbar-dark bg-primary border-bottom">
      <div class="container-fluid">
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <!-- Search form -->
          <div class="align-items-center">
            <a class="navbar-brand" href="javascript:void(0)">
              <img src="/rodashboard/assets/img/brand/new_logo.png" class="navbar-brand-img" alt="...">
            </a>
          </div>
<ul class="navbar-nav align-items-center  ml-md-auto">
  <li class="nav-item">
    <a class="nav-link" href="<?php echo url_for('@homepage') ?>">
      Home
    </a>
  </li>
  <li class="nav-item">
    <a class="nav-link" href="<?php echo url_for('dashboard/index') ?>">
      Reports <span class="badge bg-danger text-bg-danger" style="top: -10px;font-size: 8px;position:relative;padding:3px;background-color:#c60f13!important;text-transform: none;">New!</span>
    </a>
  </li>
  <li class="nav-item dropdown">
    <a class="nav-link" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
      Settings <i class="fa-solid fa-caret-down fa"></i>
    </a>
    <div class="dropdown-menu dropdown-menu-left mt-3  py-0 overflow-hidden">
      <!-- List group -->
      <div class="list-group list-group-flush">
        <?php if ($sf_user->hasCredential('IS_OWNER')): ?>
          <a href="<?php echo url_for('contacts/index') ?>" class="list-group-item list-group-item-action">
            Account settings
          </a>
        <?php endif ?>
        <a href="<?php echo $sf_user->hasCredential('IS_OWNER') ? url_for('accountStatement/index') : '#' ?>" class="list-group-item list-group-item-action">
          <?php echo __('Credits') ?> <strong><?php echo $sf_user->getProfile()->get('account_balance') ?></strong>
        </a>
      </div>
    </div>
  </li>

  <li class="nav-item dropdown">
    <a class="btn btn-secondary text-left px-3 py-2" style="background-color:#e9e9e9;font-size:13px;line-height:13px" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
      <?php echo $sf_user->getProfile()->get('firstname'), ' ', $sf_user->getProfile()->get('lastname') ?> <br/>
      <?php echo $sf_user->getProfile()->getCompany() ?>
      <i class="fa-solid fa-caret-down fa"></i>
    </a>
    <div class="dropdown-menu dropdown-menu-right mt-3  py-0 overflow-hidden">
      <!-- List group -->
      <div class="list-group list-group-flush">
        <a href="<?php echo url_for('main/logout') ?>" class="list-group-item list-group-item-action">
          Log out
        </a>
      </div>
    </div>
  </li>
</ul>
        </div>
      </div>
    </nav>
    <!-- Header -->
    <!-- Header -->
    <div class="header bg-primary pb-6">
      <div class="container-fluid">
        <div class="header-body">
          <div class="row align-items-center py-4">
            <div class="col-lg-12 col-7">
		    <div class="row g-5">
		    <div class="pt-2 col-auto">
		    <input type="date" name="from_date" id="from_date" class="form-control form-control-sm" value="<?php echo default_text($sf_params->get('from_date'), date('Y-m-d', strtotime('-1 year'))) ?>" placeholder="from date"/>
		    </div>
		    <div class="pt-2 col-auto">
		    <input type="date" name="to_date" id="to_date" class="form-control form-control-sm" value="<?php echo default_text($sf_params->get('to_date'), date('Y-m-d')) ?>" placeholder="to date"/>
		    </div>

        <div class="pt-2 col-1">
         <?php include_partial('dashboard/locationFilter', ['filter_name' => 'pickup', 'label' => 'From']) ?>
        </div>
        <div class="pt-2 col-1">
         <?php include_partial('dashboard/locationFilter', ['filter_name' => 'dropoff', 'label' => 'To']) ?>
        </div>
		    <div class="pt-2 col-auto">
		    <button id="search_btn" class="btn btn-success btn-sm" style="padding: 0.5em 1em;"><?php echo __('Show') ?></button>
		    </div>
		    </div></div>
          </div>
          <!-- Card stats -->
          <div class="row">
            <div class="col-xl-3 col-md-6">
              <div class="card card-stats">
                <!-- Card body -->
                <div class="card-body">
                  <div class="row">
                    <div class="col">
                      <h5 class="card-title text-uppercase text-muted mb-0">Total listings</h5>
		                  <span class="h2 font-weight-bold mb-0 flash animated infinite api-data" id="data_total_listings">&nbsp;</span>
                    </div>
                    <div class="col-auto">
                      <div class="icon icon-shape bg-gradient-orange text-white rounded-circle shadow">
                        <img style="height: 35px" src="/rodashboard/assets/img/icons/car-listing.svg?v=13" />
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-xl-3 col-md-6">
              <div class="card card-stats">
                <!-- Card body -->
                <div class="card-body">
                  <div class="row">
                    <div class="col">
                      <h5 class="card-title text-uppercase text-muted mb-0">Total bookings</h5>
		                  <span class="h2 font-weight-bold mb-0 flash animated infinite api-data" id="data_total_relocations">&nbsp;</span>
                    </div>
                    <div class="col-auto">
                      <div class="icon icon-shape bg-gradient-red text-white rounded-circle shadow">
                        <img style="height: 35px" src="/rodashboard/assets/img/icons/car-booking.svg?v=13" />
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-xl-3 col-md-6">
              <div class="card card-stats">
                <!-- Card body -->
                <div class="card-body">
                  <div class="row">
                    <div class="col">
                      <h5 class="card-title text-uppercase text-muted mb-0">Cost savings</h5>
		                  <span class="h2 font-weight-bold mb-0 flash animated infinite api-data" id="data_total_cost_savings">&nbsp;</span>
                    </div>
                    <div class="col-auto">
                      <div class="icon icon-shape bg-gradient-info text-white rounded-circle shadow">
                        <i class="ni ni-money-coins"></i>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-xl-3 col-md-6">
              <div class="card card-stats">
                <!-- Card body -->
                <div class="card-body">
                  <div class="row">
                    <div class="col">
                      <h5 class="card-title text-uppercase text-muted mb-0">Net Promoter Score <i class="fa-info-circle fa" data-toggle="tooltip" title="The displayed Net Promoter Score (NPS) is based on the feedback you have received from your drivers in the past 12 months rolling. It is calculated as follows: A driver scores how likely they are to recommend the service. Scores of 9-10 count as 1 towards your NPS, scores of 7-8 counts as 0 and scores of 1-6 counts as -1. If 80% scores 9-10 and 10% scores 7-8 and 10% scores 6 and under, then your NPS will be 70."></i></h5>
		                  <span class="h2 font-weight-bold mb-0 flash animated infinite api-data" id="data_nps_score">&nbsp;</span>
                    </div>
                    <div class="col-auto">
                      <div class="icon icon-shape bg-gradient-green text-white rounded-circle shadow">
                        <i class="ni ni-satisfied"></i>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- Page content -->
    <div class="container-fluid mt--6">
      <div class="row">
        <div class="col-xl-7">
          <div class="card">
            <div class="card-header bg-transparent">
              <div class="row align-items-center">
                <div class="col">
                  <h6 class="text-uppercase text-muted ls-1 mb-1">Performance</h6>
                  <h5 class="h3 mb-0">Cost savings table</h5>
                </div>
                <div class="col text-right">
                  <a class="btn btn-sm btn-secondary" href="#" id="export-cost-savings">Export</a>
                  <a href="#!" class="btn btn-sm btn-primary" onclick="$('#table-cost-savings .d-none').addClass('x-none').removeClass('d-none');$(this).next().removeClass('d-none');$(this).addClass('d-none');" >See all</a>
                  <a href="#!" class="btn btn-sm btn-primary d-none" onclick="$('#table-cost-savings .x-none').addClass('d-none').removeClass('x-none');$(this).addClass('d-none');$(this).prev().removeClass('d-none');" >See less</a>
                </div>
              </div>
            </div>
            <div class="card-body">
              <!-- Chart -->
              <div class="table-responsive" id="table-cost-savings">
                
              </div>
            </div>
          </div>
        </div>

        <div class="col-xl-5">
          <div class="card bg-default">
            <div class="card-header bg-transparent">
              <div class="row align-items-center">
                <div class="col">
                  <h6 class="text-light text-uppercase ls-1 mb-1">Overview</h6>
                  <h5 class="h3 text-white mb-0">Cost savings graph</h5>
                </div>
                <div class="col">
                  <ul class="nav nav-pills justify-content-end">
                    <li class="nav-item" data-toggle="modal" data-target="#exampleModal"  data-prefix="$" data-suffix="k">
                      <a href="#" class="nav-link py-2 px-3" data-toggle="tab">
                        <span class="d-none d-md-block ni ni-settings" style="padding:3px">&nbsp;</span>
                        <span class="d-md-none">W</span>
                      </a>
                    </li>
                  </ul>
                </div>
              </div>
            </div>
            <div class="card-body">
              <!-- Chart -->
              <div class="chart" style="height:371px;">
                <!-- Chart wrapper -->
                <canvas id="chart-cost-savings" class="chart-canvas"></canvas>
              </div>
            </div>
          </div>
        </div>
        
      </div>
      <div class="row">
        <div class="col-xl-7">
          <div class="card">
            <div class="card-header border-0">
              <div class="row align-items-center">
                <div class="col">
                  <h3 class="mb-0">Booking report</h3>
                </div>
                <div class="col text-right">
                  <a class="btn btn-sm btn-secondary" href="#" id="export-bookings">Export</a>

                  <a href="#!" class="btn btn-sm btn-primary" onclick="$('#table-success  .d-none').addClass('x-none').removeClass('d-none');$(this).next().removeClass('d-none');$(this).addClass('d-none');" >See all</a>
                  <a href="#!" class="btn btn-sm btn-primary d-none" onclick="$('#table-success  .x-none').addClass('d-none').removeClass('x-none');$(this).addClass('d-none');$(this).prev().removeClass('d-none');" >See less</a>
                  
                </div>
              </div>
            </div>
            <div class="table-responsive">
              <!-- Projects table -->
              <table class="table align-items-center table-flush" id="table-success" style="margin-bottom: 8px;">
                <thead class="thead-light">
                  <tr>
                    <th scope="col" class="col-1">Month</th>
                    <th class="text-right" scope="col">Listings (L)</th>
                    <th class="text-right" scope="col">Requests (R)</th>
                    <th class="text-right" scope="col">Bookings (B)</th>
                    <th class="text-right col-2" scope="col">R/L <i class="fa-info-circle fa" data-toggle="tooltip" title="R/L indicates the attractiveness of your listings. An R/L > 50% is expected. An R/L of 100% is ideal as this means each listing has attracted one request. "></i></th>
                    <th class="text-right col-2" scope="col">B/L <i class="fa-info-circle fa" data-toggle="tooltip" title="B/L is and indicator of overall success rate. While we aim for 100% of listings to be booked, B/L is a combination of R/L and B/R. Hence we consider a B/L above 50% as average and a B/L above 70% as high. "></i></th>
                    <th class="text-right col-2" scope="col">B/R <i class="fa-info-circle fa" data-toggle="tooltip" title="B/R indicates how many of the requests were converted into bookings by the operator. In our experience a B/R >70% is ideal, as there is always some requests that cannot be accepted (e.g. more requests than listings)."></i></th>
                  </tr>
                </thead>
                <tbody>
                  <tr>
                    <th scope="row" rowspan="5">
                     loading
                    </th>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>
        <div class="col-xl-5">
          <div class="card">
            <div class="card-header bg-transparent">
              <div class="row align-items-center">
                <div class="col">
                  <h5 class="h3 mb-0 float-left">Booking report graph</h5>
                </div>
              </div>
            </div>
            <div class="card-body">
              <!-- Chart -->
              <div class="chart" style="height: 375px;">
               <canvas id="chart-radar" class="chart-canvas"></canvas>
             </div>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-xl-7">
          <div class="card">
            <div class="card-header border-0">
              <div class="row align-items-center">
                <div class="col">
                  <h3 class="mb-0">Booking report per route</h3>
                </div>
                <div class="col text-right">
                  <a class="btn btn-sm btn-secondary" href="#" id="export-route-data">Export</a>
                  <a href="#!" class="btn btn-sm btn-primary" onclick="$('#table-routes  .d-none').addClass('x-none').removeClass('d-none');$(this).next().removeClass('d-none');$(this).addClass('d-none');" >See all</a>
                  <a href="#!" class="btn btn-sm btn-primary d-none" onclick="$('#table-routes  .x-none').addClass('d-none').removeClass('x-none');$(this).addClass('d-none');$(this).prev().removeClass('d-none');" >See less</a>
                </div>
              </div>
            </div>
            <div class="table-responsive">
              <!-- Projects table -->
              <table class="table align-items-center table-flush" id="table-routes" style="margin-bottom: 8px;">
                <thead class="thead-light">
                  <tr>
                    <th scope="col">Route</th>
                    <th class="text-right" scope="col">Listings (L)</th>
                    <th class="text-right" scope="col">Requests (R)</th>
                    <th class="text-right" scope="col">Bookings (B)</th>
                    <th class="text-right" scope="col">R/L <i class="fa-info-circle fa" data-toggle="tooltip" title="R/L indicates the attractiveness of your listings. An R/L > 50% is expected. An R/L of 100% is ideal as this means each listing has attracted one request. "></i></th>
                    <th class="text-right" scope="col">B/L <i class="fa-info-circle fa" data-toggle="tooltip" title="B/L is and indicator of overall success rate. While we aim for 100% of listings to be booked, B/L is a combination of R/L and B/R. Hence we consider a B/L above 50% as average and a B/L above 70% as high. "></i></th>
                    <th class="text-right" scope="col">B/R <i class="fa-info-circle fa" data-toggle="tooltip" title="B/R indicates how many of the requests were converted into bookings by the operator. In our experience a B/R >70% is ideal, as there is always some requests that cannot be accepted (e.g. more requests than listings)."></i></th>
                  </tr>
                </thead>
                <tbody>
                  <tr>
                    <th scope="row" colspan="6">
                      loading
                    </th>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>
        <div class="col-xl-5">
          <div class="card">
            <div class="card-header bg-transparent">
              <div class="row align-items-center">
                <div class="col">
                  <h5 class="h3 mb-0 float-left">Booking report per route chart</h5>
                  <div class="float-right">
                    <select name="status" id="relocations_status_filter">
                      <option value="listings">Listings</option>
                      <option value="requests">Requests</option>
                      <option value="bookings">Bookings</option>
                    </select>
                  </div>
                </div>
              </div>
            </div>
            <div class="card-body">
              <!-- Chart -->
              <div class="chart" style="height: 370px;">
               <canvas id="chart-pie" class="chart-canvas"></canvas>
             </div>
            </div>
          </div>
        </div>
      </div>
      <!-- Footer -->
      <footer class="footer pt-0">
        <div class="row align-items-center justify-content-lg-between">
          <div class="col-lg-6">
            <div class="copyright text-center  text-lg-left  text-muted">
              &copy; <?php echo date('Y') ?> Transfercar
            </div>
          </div>
          <div class="col-lg-6">
          
          </div>
        </div>
      </footer>
    </div>
  </div>
  <!-- Argon Scripts -->
  <!-- Core -->
  <script src="/rodashboard/assets/vendor/jquery/dist/jquery.min.js"></script>
  <script src="/rodashboard/assets/vendor/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
  <script src="/rodashboard/assets/vendor/js-cookie/js.cookie.js"></script>
  <script src="/rodashboard/assets/vendor/jquery.scrollbar/jquery.scrollbar.min.js"></script>
  <script src="/rodashboard/assets/vendor/jquery-scroll-lock/dist/jquery-scrollLock.min.js"></script>
  <!-- Optional JS -->
  <script src="/rodashboard/assets/vendor/chart.js/dist/Chart.min.js"></script>
  <script src="/rodashboard/assets/vendor/chart.js/dist/Chart.extension.js"></script>
  <!-- Argon JS -->
  <script src="/rodashboard/assets/js/argon.js?v=1.3.2.30"></script>
  <script type="text/javascript">
   $('.navbar [data-toggle="dropdown"]').on('mouseover', function(){ $(this).trigger('click');});
   //$('.navbar [data-toggle="dropdown"]').on('mouseover', function(){$(this).next('.dropdown-menu').addClass('show');$(this).parent().addClass('show');$(this).attr('expanded', true);})
</script>

    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
          <form class="" action="#" id="cost_settings">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Cost of trucks and shuttlers</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
            <div class="form-group">
              <label for="truck_cost">Average cost of trucks. <small>(default $250)</small></label>
              <input name="truck_cost" type="number" class="form-control" placeholder="250">
              <label for="truck_pct">Percentage of relocations moved by truck. <small>(default 60%)</small></label>
              <input name="truck_pct" type="number" class="form-control" placeholder="60">
            </div>
            <div class="form-group">
              <label for="shuttler_cost">Average cost of shuttlers. <small>(default $250)</small></label>
              <input name="shuttler_cost" type="number" class="form-control" placeholder="250">
              <label for="shuttler_pct">Percentage of relocations moved by shuttlers. <small>(default 40%)</small></label>
              <input name="shuttler_pct" type="number" class="form-control" placeholder="40">
            </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
          <button type="submit" class="btn btn-primary">Save changes</button>
        </div>
      </div>
          </form>
    </div>
  </div>
</body>

</html>
