<?php

/**
 * emails actions.
 *
 * @package    sf_sandbox
 * @subpackage emails
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 9301 2008-05-27 01:08:46Z dwhittle $
 */
class emailsActions extends sfActions
{
 /**
  * Executes index action
  *
  * @param sfRequest $request A request object
  */
  public function executeIndex($request)
  {
    $profile = $this->getUser()->getProfile()->get('Owner');
    $profile->refresh();
    $this->form = new RequestEmailOptions($profile);

    if ($request->isMethod('POST'))
    {
        $this->form->bind($request->getParameter('request_email'));

        if ($this->form->isValid())
        {
            $this->form->save();

            $this->getUser()->setFlash('notice', 'Email options updated');
            $this->redirect('emails/index');
        }
    }
  }
}
