<?php use_helper('Object') ?>

<div class="row row-filters">
    <div class="five columns offset-by-seven tc-filters">
    <?php echo form_tag('listing/list', array('method' => 'get')) ?>

      <div class="row">
        <div class="four columns">
            <label for="filters_status"><?php echo __('Status:') ?><?php echo tooltip('listing_filter_status') ?></label>
            <div class="content">
                <?php echo select_tag('filters[status]', options_for_select(ListingTable::getStatuses(), isset($filters['status']) ? $filters['status'] : null)) ?>
            </div>
        </div>
        <div class="four columns">
            <label for="filters_ListedBy"><?php echo __('Manager:') ?><?php echo tooltip('listing_filter_manager') ?></label>
            <div class="content">
                <?php echo select_tag('filters[ListedBy]', options_for_select(ListingTable::getManagers($sf_user->getProfile()), isset($filters['ListedBy']) ? $filters['ListedBy'] : null)) ?>
            </div>
        </div>
        <div class="four columns">
            <label for="filters_id"><?php echo __('TCID:') ?><?php echo tooltip('listing_filter_tcid') ?></label>
            <div class="content">
                <?php echo input_tag('filters[id]', isset($filters['id']) ? $filters['id'] : null, array ('style' => 'height:20px')) ?>
            </div>
        </div>
      </div>
    </form>
    </div>
</div>
<script type="text/javascript">
    jQuery(function() {
        jQuery('.tc-filters select, .tc-filters input').change(function() {
            $(this).parents('form:first').submit();
        });
    });
</script>