<h4><?php echo __('Cancelled by rental operator') ?> <a href="#" class="close-reveal-modal" data-reveal-refresh="0" data-dismiss="modal" aria-hidden="true">&times;</a></h4>
<hr/>
<div class="row">
    <div class="twelve columns">
        <form action="<?php echo url_for('listing/cancel?id='.$listing->getId()) ?>" class="reveal-ajax request_rate_form reveal-ajax" method="post">
            <?php echo $form['reason']->renderLabel() ?>
            <?php echo $form['reason'] ?>
            <?php echo $form['reason']->renderError() ?>

            <?php echo $form['internal_comment']->renderLabel() ?>
            <?php echo $form['internal_comment'] ?>
            <small style="display:block;margin-top:-10px"><?php echo __('15 characters min.') ?></small>
            <?php echo $form['internal_comment']->renderError() ?>
            <?php echo $form['_csrf_token'] ?>

            <p><?php echo __('The relocation fee is not refunded for cancellations by the rental operator.') ?></p>

            <hr/>
            <div class="text-center">
                <button type="submit" class="button alert"><?php echo __('Cancel booking') ?></button>
            </div>
        </form>
        <hr/>
        <div class="text-center">
            <?php echo link_to(__('Driver cancelled'), 'listing/driverCancelled?id='.$listing->getId(), array('class' => 'reveal-ajax button small secondary radius')) ?> -
            <?php echo link_to(__('Driver did not show up'), 'listing/noshow?id='.$listing->getId(), array('class' => 'reveal-ajax button small secondary radius')) ?>
        </div>
    </div>
</div>
<script type="text/javascript">
    
    $(document).on('change', ':input[name="request[reason]"]', function(){
        $(this).parents('form').find('.active').removeClass('active');
        $(this).parent().addClass('active');
        // console.log('toggleclass confirm', !(settings[val] ? settings[val].ask_proof : false ), settings[val]);
        // $('#confirm_button').toggleClass('disabled', !(settings[val] ? settings[val].ask_proof : false ));
    });


    $(".submit").click(function(){
        return false;
    });
</script>
<style type="text/css">
.w-100 {
    width: 100%;
}
.dropzone {
  border: 0.1rem dashed #3498db;
  padding: 2rem;
  border-radius: 0.25rem;
  background-color: #fff;
  text-align: center;
  font-size: 1.5rem;
  transition: 0.25s background-color ease-in-out;
  cursor: pointer;
  font-size: 14px;
}
  
.dropzone-dragging,
.dropzone:hover {
  background-color: lighten(#3498db, 28%);
}

.dropzone-icon {
  max-width: 75px;
  display: block;
  margin: 0 auto 1.5rem;
}

#request_input,
.dropzone-input {
  display: none;
}


#msform .alert-danger {
    color: #721c24;
    background-color: #f8d7da;
    border-color: #f5c6cb;
}

input[type="file"] {
    overflow: auto;
    text-overflow: ellipsis;
}
label.tc-btn-outline-info input,
label.btn input {
    position: absolute;
    clip: rect(0,0,0,0);
    pointer-events: none;
}

label.btn-outline-info {
 border: 1px solid #3498db;
 color: #3498db;
 text-overflow: ellipsis;
 overflow: hidden;
 position: relative;
}

label.tc-btn-outline-info {
    border: 1px solid #3498db;
    color: #3498db;
    text-overflow: ellipsis;
    overflow: hidden;
    font-size: 15px;
    font-weight: normal;
    line-height: 1.4;
    padding: 10px 15px;
    text-align: center;
    display: inline-block;
    user-select: none;
    border-radius: 3px;
    margin-bottom: 0;
}
label.tc-btn-outline-info:hover,
label.tc-btn-outline-info.active,
label.btn-outline-info:hover,
label.btn-outline-info.active {
    background-color: #3498db!important;
    color: #fff;
}

#subcategories {
    margin: 20px 0;
}

/*form styles*/
#msform {
    text-align: center;
    position: relative;
}

.form-check-label {
    display: inline;
}

#msform fieldset .form-card {
    background: white;
    border: 0 none;
    border-radius: 0px;
    padding: 0px;
    box-sizing: border-box;
    width: 100%;
    margin: 0 0 20px 0;
    /*stacking fieldsets above each other*/
    position: relative;
}

#msform fieldset {
    background: white;
    border: 0 none;
    border-radius: 0.5rem;
    box-sizing: border-box;
    width: 100%;
    margin: 0;
    padding: 0px;

    /*stacking fieldsets above each other*/
    position: relative;
}

/*Hide all except first fieldset*/
#msform fieldset:not(:first-of-type) {
    display: none;
}

#msform fieldset .form-card {
    text-align: left;
}

#msform textarea {
    padding: 0px 8px 4px 0px;
    border: none;
    border-bottom: 1px solid #ccc;
    border-radius: 0px;
    margin-bottom: 10px;
    margin-top: 2px;
    width: 100%;
    box-sizing: border-box;
    color: #2C3E50;
    font-size: 16px;
    letter-spacing: 1px;
}

#msform textarea:focus {
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
    border: none;
    font-weight: bold;
    border-bottom: 2px solid skyblue;
    outline-width: 0;
}

/*The background card*/
.card {
    z-index: 0;
    border: none;
    border-radius: 0.5rem;
    position: relative;
}

/*FieldSet headings*/
.fs-title {
    font-size: 22px;
    color: #2C3E50;
    margin-bottom: 10px;
    font-weight: bold;
    text-align: left;
    margin-top: 0;
}

#progressbar li {
    list-style-type: none;
    font-size: 12px;
    width: 33%;
    float: left;
    position: relative;
}

/*Fit image in bootstrap div*/
.fit-image{
    width: 100%;
    object-fit: cover;
}
</style>