<?php decorate_with('mobile_layout') ?>
<?php slot('breadcrumb', 'Top up credits') ?>
<?php $nb = 0 ?>
<?php $credits = 0 ?>
<?php $revenue = 0 ?>
<?php foreach ($listings as $listing): ?>
  <?php foreach($listing->get('Requests') as $request): ?>
    <?php $credits += $listing->getTotalPrice($request) ?>
    <?php $revenue += $listing->getRevenue($request) ?>
    <?php $nb++ ?>
  <?php endforeach ?>
<?php endforeach ?>
<div class="row mb-4">
  <div class="col-12">
    <div class="card">
      <div class="card-header pb-0 px-3">
        <h6 >
          <?php echo __('Top up your Transfercar account now by credit card') ?>
        </h6>

        <p class="mb-0">
          <?php echo __('Current account balance:') ?> <?php echo $sf_user->getProfile()->get('account_balance') . " " . sfConfig::get("sf_currency_new") ?>
        </p>
        <p class="mb-0">
          <?php echo __('Selected relocations:') ?> <?php echo $price . " " . sfConfig::get("sf_currency_new") ?>
        </p>
      </div>
      <div class="card-body pt-4 p-3 pb-1">
        <form action="<?php echo url_for('mobile/selectCreditCard') ?>" method="post" id="balance_form" name="balance_form">
          <?php if (isset($form['credits'])): ?>
            <?php echo $form['credits']->renderLabel('Select credits') ?>
            <?php echo $form['credits']->render() ?>
          <?php endif ?>
          <?php echo $form['_csrf_token'] ?>
          <?php foreach($ids as $id): ?>
            <input type="hidden" name="request_ids[]" value="<?php echo $id ?>" />
          <?php endforeach ?>
          <?php foreach($rejected_ids as $id): ?>
            <input type="hidden" name="rejected_ids[]" value="<?php echo $id ?>" />
          <?php endforeach ?>
        </form>
      </div>
    </div>
  </div>
</div>

<?php append_slot('javascripts') ?>
<style type="text/css">
.pending-menu { display: block }
.list-group-item .help {
  margin-left: 1.25rem;
  margin-top: -13px;
  font-size: 12px;
}
</style>
<div class="pending-menu">
  <div class="row">
    <div class="col-1">
      <a href="<?php echo url_for('mobile/accept') ?>" ><i class="fa fa-regular fa-arrow-left"></i></a>
    </div>
    <div class="col-7">
      <p class="text-sm mb-0 text-uppercase font-weight-bold" id="nb_requests">
        &nbsp;
      </p>
    </div>
    <div class="col-4">
        <button type="submit" form="balance_form" class="btn btn-primary">Continue</button>
      </form>
    </div>
  </div>
</div>
<?php end_slot() ?>