<?php decorate_with(false) ?>
<?php echo stylesheet_tag('owner/dashboard.css') ?>
<div class="modal-header">
    <h3>Your acceptance score report</h3>
</div>
<div class="modal-body">
    <div class="row dashboard">
        <div class="three columns">
            <div>Your score</div>
            <div class="huge"><?php echo $score ?> /100</div>
        </div>
        <div class="nine columns">
            <div class="row">
                <div class="three columns">
                    <div class="panel panel-blue">
                        <div class="panel-heading">
                            <div class="huge"><?php echo $nb_requests ?></div>
                            <div>Requests</div>
                        </div>
                    </div>
                </div>
                <div class="three columns">
                    <div class="panel panel-green">
                        <div class="panel-heading">
                            <div class="huge"><?php echo $nb_accepted_requests ?></div>
                            <div>Accepted</div>
                        </div>
                    </div>
                </div>
                <div class="three columns">
                    <div class="panel panel-yellow">
                        <div class="panel-heading">
                            <div class="huge"><?php echo $nb_rejected_requests ?></div>
                            <div>Declined</div>
                        </div>
                    </div>
                </div>
                <div class="three columns">
                    <div class="panel panel-red">
                        <div class="panel-heading">
                            <div class="huge"><?php echo $nb_expired_requests ?></div>
                            <div>Expired</div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


<div class="modal-footer">
    <div class="row">
        <div class="nine columns">
            <p>Your score is calculated every three months. Last update on <?php echo tc_format_date($update_date) ?></p>
        </div>
        <div class="three columns text-right">
            <button class="close-reveal-modal button primary wide" data-dismiss="modal" aria-hidden="true">Close</button>
        </div>
    </div>
</div>