<?php $currency_name = strtoupper($sf_user->getAttribute('profile')->getCountryDomain()) . "D"; ?>
<?php $id=uniqid() ?>
<?php decorate_with(false) ?>
<style type="text/css">
    /**
 * The CSS shown here will not be introduced in the Quickstart guide, but shows
 * how you can use CSS to style your Element's container.
 */
.StripeElement {
  background-color: white;
  height: 40px;
  padding: 10px 12px;
  border-radius: 4px;
  border: 1px solid transparent;
  box-shadow: 0 1px 3px 0 #e6ebf1;
  -webkit-transition: box-shadow 150ms ease;
  transition: box-shadow 150ms ease;
}

.StripeElement--focus {
  box-shadow: 0 1px 3px 0 #cfd7df;
}

.StripeElement--invalid {
  border-color: #fa755a;
}

.StripeElement--webkit-autofill {
  background-color: #fefde5 !important;
}

#card-errors {
    margin-top: -3px;
    display: none;
    background: red;
    line-height: 20px;
    padding: 5px;
    color: #fff;
    font-weight: bold;
}

#card-errors ul {
    list-style-type: none;
}

#card-errors.has-error {
    display: block;
}

</style>
<h1><?php echo __('Pay with new card') ?></h1>
<?php if ($form->isBound() && $form->isValid()): ?>
<div class="alert-box alert">
    <?php echo __('We are unable to process the credit card:') ?> <?php echo $form->paymentError ?>
</div>
<?php endif ?>
<form action="<?php echo url_for('payment/payWithCard') ?>" method="post" id="card_form_<?php echo $id ?>" name="card_form">
    <div class="row">
        <div id="card-element">
        </div>
        <small id="card-errors" class="error<?php if ($form['stripeToken']->hasError()): ?> has-error<?php endif?>">
            <?php echo $form['stripeToken']->renderError() ?>
        </small>
        <?php /*<div class="three columns end<?php echo $form['type']->hasError() ? ' error': '' ?>">
            <?php echo render_row($form['type'], 'Card Type') ?>
        </div>*/ ?>
    </div>
    <?php /*<div class="row">
        <div class="six columns<?php echo $form['number']->hasError() ? ' error': '' ?>">
            <?php echo render_row($form['number'], 'Card Number') ?>
        </div>
        <div class="three columns<?php echo $form['expiry_year']->hasError() ? ' error': '' ?>">
            <?php echo render_row($form['expiry_year'], 'Card Expiry Year') ?>
        </div>

        <div class="three columns<?php echo $form['expiry_month']->hasError() ? ' error': '' ?>">
            <?php echo render_row($form['expiry_month'], 'Card Expiry Month') ?>
        </div>


    </div>

    <div class="row">
        <div class="four columns<?php echo $form['csv']->hasError() ? ' error': '' ?>">
            <?php echo render_row($form['csv'], 'Security Code') ?>
        </div>
        <div class="six columns end<?php echo $form['holder_name']->hasError() ? ' error': '' ?>">
            <?php echo render_row($form['holder_name'], 'Name on Card') ?>
        </div>
    </div>*/ ?>
    <?php echo $form['_csrf_token'] ?>
    <?php echo $form['amount'] ?>

    <div class="row">
        <div class="two columns">
            <?php echo label_for('amount', __('Amount:')) ?>
        </div>
        <div class="ten columns">
            <?php echo '<b>' . $amount . ' </b>' . $currency_name; ?>
        </div>
    </div>

    <div class="row text-center">
        <button type="submit" class="button success"><?php echo __('Pay now') ?></button>
        <hr />
        <?php
            echo link_to(__('Back'),
                'payment/chargeAccount',
                array(
                    'class' => 'button secondary small reveal-ajax'
                )
            );

            echo link_to(__('Cancel'),
                '#',
                array(
                    'class' => 'button secondary small cancel-modal'
                )
            );
        ?>
        <input type="hidden" value="<?php echo $sf_params->get('req_id') ?>" name="req_id" />
    </div>
</form>
<script type="text/javascript" src="/js/stripe.js?id=<?php echo uniqid() ?>"></script>

<script type="text/javascript">
$(document).on('tc-reveal:loaded', function(){
    $('#card_form_<?php echo $id ?>').tcStripe({
        stripe_key: '<?php echo sfConfig::get('sf_stripe_public') ?>',
        stripe_token_name: "payment[stripeToken]",
        success: function(form) {
            var revealHtml = $('.reveal-modal');
            $.ajax({
                url: form.action,
                type: 'POST',
                data: $(form).serialize(),
                success: function(response) {
                    revealHtml.find('.tc-reveal-content').html(response);
                    $('.tc-reveal-content .close-reveal-modal').bind('click.reveal', function() {
                      revealHtml.trigger( 'reveal:close' );
                    });
                    $(document).trigger('tc-reveal:loaded');
                },
                beforeSend: function() {
                    $('.tc-reveal-content').html('<img src="/greybox/indicator.gif" />');
                }
            });
        }
    });
});
</script>
<script type="text/javascript">
    jQuery('.cancel-modal').click(function() {
        jQuery('.reveal-modal.open').trigger('reveal:close');

        return false;
    });
</script>