<?php use_helper('Date', 'Transfercar') ?>
<?php $driver = $enquiry->get('Driver') ?>
<h4><?php echo $driver->full_name() ?> <?php echo __('booked for listing') ?> <?php echo $rental->getId() ?></h4>
<hr/>
<div class="row">
    <div class="twelve columns">
        <p>
            <?php echo __('The driver has been booked.') ?>
        </p>

        <div class="row text-center">
            <div class="eight columns end offset-by-two">
                <table class="table" style="margin:auto">
                    <tr>
                        <td><?php echo __('Driver') ?></td>
                        <td class="text-right">
                            <?php echo __('Name') ?>: <strong><?php echo $driver->full_name() ?></strong>
                            &nbsp;&nbsp;
                            <?php echo __('DOB') ?>: <strong><?php echo tc_format_date($driver->get('date_of_birth')) ?></strong>
                        </td>
                    </tr>
                    <tr>
                        <td>&nbsp;</td>
                        <td class="text-right">
                            <?php echo __('Contact phone') ?>: <strong><?php echo default_text(($driver->get('contact_phone') ?  $driver->get('contact_phone') : $driver->get('mobile_phone')), 'N/A') ?></strong>
                            &nbsp;&nbsp;
                            <?php echo __('Email') ?>: <strong><?php echo $driver->get('email') ?></strong>
                        </td>
                    </tr>
                    <tr>
                        <td>&nbsp;</td>

                        <td class="text-right">
                            <?php echo __('Driver\'s license country') ?>: <strong><?php echo format_country($driver->get('license')) ?></strong>
                        </td>
                    <tr>
                        <td><?php echo __('Pickup') ?></td>
                        <td class="text-right">
                            <strong>
                                <?php echo $enquiry->get('OwnerBranch')->get('name') ?>
                                <?php echo tc_format_date($enquiry->get('pickup_date')) ?>
                            </strong>
                        </td>
                    </tr>
                    <tr>
                        <td><?php echo __('Dropoff') ?></td>
                        <td class="text-right">
                            <strong>
                                <?php echo tc_format_date($enquiry->get('dropoff_date')) ?>
                            </strong>
                        </td>
                    </tr>
                    <tr>
                        <td><?php echo __('Rental revenue') ?></td>
                        <td class="text-right">
                            <strong>
                                Revenue: $<?php echo $enquiry->get('price') ?>, Insurance included: <?php echo $enquiry->get('insurance') ? 'Yes' : 'No' ?>
                            </strong>
                        </td>
                    </tr>
                    <tr>
                        <td><?php echo __('Vehicle') ?></td>
                        <td class="text-right">
                            <strong>
                                <?php if ($rental->get('owner_vehicle_type_id')): ?>
                                    <?php echo $rental->get('OwnerVehicleType')->get('description') ?> -
                                <?php endif ?>
                                <?php echo $rental->get('VehicleType')->get('description') ?>
                            </strong>
                        </td>
                    </tr>
                </table>
            </div>
        </div>
    </div>
</div>