  <?php if ($sf_user->isAuthenticated()): ?>
  <div id="footer" class="text-center">
    <a href="<?php echo url_for('@terms') ?>" class="reveal-ajax">
        <?php echo __('Terms and conditions') ?>
    </a>
    -
    &copy; Transfercar 2008-<?php echo date('Y') ?>
  </div>


  <?php use_javascript_grouped('owner/jquery.js', 'global') ?>
  <?php use_javascript_grouped('owner/foundation.js', 'global') ?>
  <?php use_javascript_grouped('owner/jquery.form.min.js', 'global') ?>
  <?php use_javascript_grouped('owner/app.js', 'global') ?>
  <?php use_javascript_grouped('owner/jquery.cookie.js', 'global') ?>

  <script async type="text/javascript" src="https://js.stripe.com/v3/"></script>

  <?php if ($sf_user->getCulture() != 'fr_CA'): ?>
    <?php if ($sf_user->getFlash('first_login')): ?>
      <?php use_javascript_grouped('owner/hopscotch-0.1.2.min.js', 'hopscotch') ?>
      <?php use_javascript_grouped('owner/tour.js', 'hopscotch') ?>
    <?php endif ?>
  <?php endif ?>
  <?php include_combined_javascripts('global') ?>
  <?php include_combined_javascripts() ?>
  <?php include_slot('javascripts') ?>
  <?php endif ?>


  <?php if ($sf_user->hasFlash('new_tc') ): ?>
    <div id="new_tc" class="reveal-modal" data-keyboard="false" tabindex="-1" role="dialog" aria-labelledby="transfercar_new_tc" aria-hidden="true">
      <a class="close-reveal-modal">&#215;</a>
      <div class="row">
        <div class="twelve columns">

            <h2>New pricing alert</h2>
            <div class="row">
                <div class="col-12 col-12 mbm">
<p>Important Update: Cancellation Reporting Process and T&amp;C</p>

<p>We're updating our cancellation reporting process to enhance service and streamline operations.</p>

<p>Changes:</p>
<ul>
<li>
Encourage drivers to cancel bookings directly through their Transfercar profile. This reduces manual cancellations by rental companies.</li>
<li>
Introducing "Disrupted Bookings" category for weather-related relocations. This improves RO data accuracy, automates refunds, and identifies genuine cancellations.
</li>
</ul>

<p>Your Cooperation:</p>

<ul>
<li>Encourage drivers to cancel directly.</li>
<li>Report cancellations promptly with accurate reasons.</li>
</ul>

<p>Thank you for your cooperation. Contact us with any questions or concerns.</p>
                </div>
            </div>
        </div>
      </div>
    </div>
    <a href="#" style="display:none" id="new_tc_link" data-reveal-id="new_tc">open</a>
    <script type="text/javascript">
      jQuery('#new_tc_link').trigger('click');
    </script>
  <?php endif ?>
