<?php use_helper('Transfercar') ?>
<?php if (sfConfig::get('sf_environment') != 'dev' &&  strpos($sf_request->getHost(), 'staging.') === false): ?>
<!-- Google Tag Manager -->
<noscript><iframe src="//www.googletagmanager.com/ns.html?id=<?php echo sfConfig::get('app_google_tag_manager_'.$_SERVER['TRANSFER_CAR_COUNTRY']) ?>"
height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
'//www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
})(window,document,'script','dataLayer','<?php echo sfConfig::get('app_google_tag_manager_'.$_SERVER['TRANSFER_CAR_COUNTRY']) ?>');
</script>
<?php else: ?>
  <script>
    var dataLayer = [];
  </script>
<?php endif ?>
<script>
<?php if ($sf_user->isAuthenticated()): ?>
;dataLayer.push({
  'userType': 'logged in user',
  'userId': 'manager_<?php echo $sf_user->getId() ?>'
});
<?php else: ?>
;dataLayer.push({
  'userType': 'visitor'
});
<?php endif ?>

<?php if ($sf_user->hasFlash('ga_event')): ?>
    <?php foreach ($sf_user->getFlash('ga_event')->getRawValue() as $ga_event): ?>

    ;dataLayer.push(<?php echo json_encode($ga_event) ?>);

    <?php endforeach ?>
<?php endif ?>

</script>

<?php if (sfConfig::get('sf_environment') != 'dev' &&  strpos($sf_request->getHost(), 'staging.') === false && strpos($sf_request->getHost(), 'ro.') === false): ?>
<div class="alert-box secondary">
  <span class="alert label radius">Warning</span>

  The page "owner.php" you are currently using will be removed in a near future.
  <?php $domain = str_replace('www', 'ro', $sf_request->getHost()) ?>
  Please use the new "<a style="color:#2ba6cb" href="http://<?php echo $domain ?>/"><?php echo $domain ?></a>" page. Thanks.
</div>
<?php endif ?>

<?php if (false): ?>

<div class="alert-box secondary" role="alert" style="background-color: #fcf8e3;border-color: #faebcc;color: #8a6d3b;margin-bottom:0;text-align:center">
                Our Australian website is under maintenance for the next 72 hours. For emergencies, please use our backup website <a style="color:black" href="https://www.transfercarau.com">www.transfercar.com.au</a>. We apologize for the inconvenience.
            </div>
<?php endif ?>

<?php append_slot('xjavascripts') ?>
<link href="https://d218iqt4mo6adh.cloudfront.net/assets/widget_embed_191.css" media="screen" rel="stylesheet" type="text/css" />


<script>
  function loadScripts(scripts, onloaded){
        var script = scripts.shift();
        var el = document.createElement('script');
        el.async=true;
        el.onload = function(script){
            console.log(script + ' loaded!');
            if (scripts.length) {
                loadScripts(scripts, onloaded);
            }
            else {
              onloaded();
            }
        };

        setTimeout(function(){
          el.src = script;
        }, 2000);

        document.getElementsByTagName('body')[0].append(el);
    }
        // ********************************************************************************
        // This needs to be placed in the document body where you want the widget to render
        // ********************************************************************************
    function deskloaded(){
      return;
        new DESK.Widget({
                version: 1,
                site: 'transfercar.desk.com',
                port: '80',
                type: 'email',
                displayMode: 1,  //0 for popup, 1 for lightbox
                features: {
                },
                fields: {
                        ticket: {
                          labels_new: "RO,<?php echo strtoupper($_SERVER['TRANSFER_CAR_COUNTRY']) ?>"
                                // desc: &#x27;&#x27;,
        // labels_new: &#x27;&#x27;,
        // priority: &#x27;&#x27;,
        // subject: &#x27;&#x27;
                        },
                        interaction: {
                          <?php if ($sf_user->isAuthenticated()): ?>
                            email: "<?php echo $sf_user->getProfile()->get('email') ?>",
                            name: "<?php echo $sf_user->getProfile()->getFullName() ?>"
                          <?php endif ?>
                        },
                        email: {
                                //subject: '',
                                //body: ''
                        },
                        customer: {
                                // company: &#x27;&#x27;,
        // desc: &#x27;&#x27;,
        // first_name: &#x27;&#x27;,
        // last_name: &#x27;&#x27;,
        // locale_code: &#x27;&#x27;,
        // title: &#x27;&#x27;,
        // custom_role: &#x27;&#x27;
                        }
                }
        }).render();

      $("#assistly-widget-1 a")
        .html("")
        .attr('style', '')
        .attr('onmouseout', '')
        .attr('onmouseover', '')
        .css({
          'background': '#2C3E50 url(/images/tab_support.png) no-repeat top left',
          'height': '108px',
          'width': '45px',
          'display': 'block'
        }).parent().css({
          'border': '1px solid #2C3E50',
          'position': 'fixed',
          'top': '23%'
        });
    }


    // loadScripts(['/js/owner/jquery.js', 'https://d218iqt4mo6adh.cloudfront.net/assets/widget_embed_libraries_191.js'], deskloaded);
</script>
<?php end_slot() ?>
