<?php decorate_with('layout_settings') ?>
<?php if ($sf_user->hasFlash('notice')): ?>
<div class="alert-box success">
 <?php echo __($sf_user->getFlash('notice')) ?>
</div>
<?php endif; ?>

<form action="" method="post">
    <?php echo $form['_csrf_token'] ?>
    <h2>Email options</h2>

    <h3>Request Emails</h3>
    <p>Where do you want all driver request emails to be sent? <?php echo tooltip('email_options_title') ?></p>

    <div class="row">
        <?php echo $form['option'] ?>
    </div>


    <h3>Booking details Emails</h3>
    <p>Do you want to receive booking details by email when a request is accepted?</p>

    <div class="row">
        <ul class="radio_list">
            <li>
                <?php echo $form['accepted_request_notify']->renderLabel($form['accepted_request_notify']->render(). ' Yes, I want to receive booking details') ?>
            </li>
        </ul>
    </div>


    <h3 style="margin-top:20px">Relocation review emails</h3>
    <p>Do you want to receive driver reviews emails?</p>

    <div class="row">
        <ul class="radio_list">
            <li>
                <?php echo $form['ro_review_notify']->renderLabel($form['ro_review_notify']->render(). ' Yes, I want to receive relocation review emails') ?>
            </li>
        </ul>
        <br/>
    </div>

    <div class="row">
        <div class="twelve columns">
            <button class="button success radius medium" type="submit">Save</button>
        </div>
    </div>
</form>