<?php

/**
 * insurance actions.
 *
 * @package    symfony
 * @subpackage insurance
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 5647 2007-10-23 17:25:20Z Eric.Fredj $
 */
class insuranceActions extends autoinsuranceActions
{
  const DEFAULT_WAIVER = 'Pay $x per day to reduce the excess bond to $x ';
  protected function getInsurancePolicyOrCreate ($id = 'id')
  {
  	$insurance = parent::getInsurancePolicyOrCreate($id);

  	if (!$insurance->get('owner_id')) {
  		$insurance->set('owner_id', $this->getUser()->getOwnerId());
      $insurance->set('waiver', self::DEFAULT_WAIVER);
  	}

  	return $insurance;
  }

  protected function addFiltersCriteria ($q)
  {
  	parent::addFiltersCriteria($q);
  	$q->addWhere('owner_id = ?', $this->getUser()->getOwnerId());
  }

  public function validateEdit()
  {
    if (!$this->getRequest()->isMethod('POST')){
      return true;
    }

    $values = $this->getRequest()->getParameter('insurance_policy');

    if (isset($values['waiver']) && $values['waiver'] == self::DEFAULT_WAIVER) {
      $this->getRequest()->setError('insurance_policy{waiver}', 'Invalid content, please add specific details.');
      return false;
    }

    return true;
  }
}
