<?php decorate_with(false) ?>
<div class="row">
    <div class="twelve columns">
        <h1 style="margin-bottom:10px"><?php echo __('Credits Price') ?></h1>
        <?php $currency_name = strtoupper($sf_user->getAttribute('profile')->getCountryDomain()) . "D"; ?>
        <table class="table">
            <thead>
                <tr>
                    <th>Item</th>
                    <th>Credits</th>
                    <th>Price</th>
                </tr>
            </thead>
            <tbody>
                <?php $minppc = $credits[0]['price']/$credits[0]['credit'] ?>
                <?php foreach ($credits as $item): ?>
                    <tr>
                        <th><?php echo $item["name"] ?></th>
                        <td><?php echo $item["credit"] ?> <?php echo __('credits') ?></td>
                        <td style="vertical-align: middle;">
                            <?php $ppc = $item["price"]/$item["credit"] ?>
                            <?php echo $currency_name.' $'.$item["price"]  ?>
                            <?php if ($ppc < $minppc): ?>
                                <br/>
				(<?php echo (1-round($ppc/$minppc, 4))*100 ?><?php echo __('% discount applied') ?>) 
                            <?php endif ?>
                        </td>
                    </tr>
                <?php endforeach ?>
            </tbody>
        </table>
        <p>All prices are exclusive of GST</p>
    </div>
</div>
