<?php use_helper('Object', 'Validation', 'ObjectAdmin', 'I18N', 'Date') ?>

<?php use_stylesheet('/sf/sf_admin/css/main') ?>

<div id="sf_admin_container">

<h1>
    <?php if (!$listing->exists()): ?>
        <?php echo __('Add new listing') ?>
    <?php else: ?>
        <?php echo __('Edit listing '.$listing->getId()) ?>
    <?php endif ?>
</h1>

<div id="sf_admin_header">
<?php include_partial('listing/edit_header', array('listing' => $listing)) ?>
</div>

<div id="sf_admin_content">
<?php include_partial('listing/edit_messages', array('listing' => $listing)) ?>
<?php include_partial('listing/edit_form', array('listing' => $listing, 'form' => $form)) ?>
</div>

<div id="sf_admin_footer">
<?php include_partial('listing/edit_footer', array('listing' => $listing)) ?>
</div>

</div>
