<?php $isBooked = $listing->isBooked() || $listing->isStatus(Listing::STATUS_CANCELED); ?>

<?php if ($isBooked): ?>
    <?php $request = $listing->getAcceptedRequest() ?>
    <?php $isBooked = !$request ? false : true; ?>
<?php endif ?>

<?php include_partial('listing/1_owner_reference_details', array('listing' => $listing)) ?>

<?php if (!$isBooked): ?>
    <?php include_partial('listing/2_owner_journey_details', array('listing' => $listing)) ?>
<?php else: ?>
    <?php include_partial('listing/10_owner_driver_details', array(
        'listing' => $listing,
        'request' => $request
    )) ?>
    <?php include_partial('listing/3_owner_booking_details', array('listing' => $listing)) ?>
<?php endif ?>

<?php include_partial('listing/4_vehicle_details', array('listing' => $listing)) ?>
<?php include_partial('listing/5_additional_extras_price_list', array('listing' => $listing)) ?>
<?php include_partial('listing/6_legal_details', array('listing' => $listing)) ?>

<?php if (!$isBooked): ?>
    <?php foreach ($listing->get('Requests') as $request): ?>
        <?php include_partial('listing/7_owner_statistical_details_about_driver', array(
            'listing' => $listing,
            'request' => $request
        )) ?>
        <?php include_partial('listing/8_request_details', array(
            'listing' => $listing,
            'request' => $request
        )) ?>
        <?php include_partial('listing/9_owner_money_details', array(
            'listing' => $listing,
            'request' => $request
        )) ?>
    <?php endforeach ?>
<?php else: ?>
    <?php include_partial('listing/7_owner_statistical_details_about_driver', array(
            'listing' => $listing,
            'request' => $request
    )) ?>
    <?php include_partial('listing/9_owner_money_details', array(
            'listing' => $listing,
            'request' => $request
    )) ?>
<?php endif ?>

<?php if ($sf_request->getParameter('accept')): ?>
    <?php slot('javascripts') ?>
    <script type="text/javascript">
    (function($){
        $(function(){
            var a = jQuery('<a />');
            a.attr('href', '<?php echo url_for('request/accept?details=1&id='.$sf_request->getParameter('accept')) ?>')
            a.attr('class', 'reveal-ajax');
            a.attr('data-reveal-width', '60%');
            a.attr('data-reveal-refresh', 0);
            a.css('display', 'none');
            $('body').append(a);
            a.click();
        });
    }(jQuery));
    </script>
    <?php end_slot() ?>
<?php endif ?>