<h4><?php echo __('Cancel') ?></h4>
<hr/>
<div class="row">
    <div class="twelve columns">
        <form action="<?php echo url_for('listing/driverCancelled?id='.$listing->getId()) ?>" class="reveal-ajax request_rate_form reveal-ajax" method="post">
            <p><?php echo __('This will mark booking %tcid% as cancelled by the driver. We will process refund of your credits within 7 days.', ['%tcid%' => $listing->getId()]) ?></p>

            <p><?php echo __('Please note that we will contact the driver to confirm the cancellation, and the driver can be charged a no-show fee depending on how late the driver cancelled.') ?></p>

            <p><?php echo __('Please indicate when the driver cancelled:') ?></p>

            <div>
                <?php echo $form['canceltime']->render() ?>
            </div>

            <label><?php echo __('Private (displayed to Transfercar only) * required') ?></label>
            <?php echo $form['internal_comment']->render() ?>
            <?php echo $form['internal_comment']->renderError() ?>

            <label><?php echo __('Public (displayed to the driver) * required') ?></label>
            <?php echo $form['comment']->render() ?>
            <?php echo $form['comment']->renderError() ?>

            <hr/>
            <div class="text-center">
                <?php echo $form['_csrf_token']->render() ?>
                <button type="submit" class="button alert"><?php echo __('Cancel booking') ?></button>
            </div>
        </form>
        <hr/>
        <div class="text-center">
            <?php echo link_to(__('Operator cancelled'), 'listing/cancel?id='.$listing->getId(), array('class' => 'reveal-ajax')) ?> -
            <?php echo link_to(__('Driver did not show up'), 'listing/noShow?id='.$listing->getId(), array('class' => 'reveal-ajax')) ?>
        </div>
    </div>
</div>