<?php use_helper('Object', 'Validation', 'ObjectAdmin', 'I18N', 'Date') ?>

<?php use_stylesheet('/sf/sf_admin/css/main') ?>

<div id="sf_admin_container">

<h1>
    <?php if (!$rental->exists()): ?>
        <?php echo __('Add new rental') ?>
    <?php else: ?>
        <?php echo __('Edit rental '.$rental->getId()) ?>
    <?php endif ?>
</h1>

<div id="sf_admin_header">
<?php include_partial('rentals/edit_header', array('rental' => $rental)) ?>
</div>

<div id="sf_admin_content">
<?php include_partial('rentals/edit_messages', array('rental' => $rental)) ?>
<?php include_partial('rentals/edit_form', array('rental' => $rental, 'form' => $form)) ?>
</div>

<div id="sf_admin_footer">
<?php include_partial('rentals/edit_footer', array('rental' => $rental)) ?>
</div>

</div>
