<h4><?php echo __('Cancel') ?></h4>
<hr/>
<div class="row">
    <div class="twelve columns">
        <form action="<?php echo url_for('listing/cancel?id='.$listing->getId()) ?>" class="reveal-ajax request_rate_form reveal-ajax" method="post">
            <div class="alert-box alert"><?php echo __('Warning: you are about to cancel a booking less than 48 hours before pickup time. Make sure get notify the driver about the cancellation. We recommend that you also help the driver find alternative transport.') ?></div>

            <p><?php echo __('Before cancelling a booking you need to notify the driver about the cancellation.') ?></p>

            <p><?php echo __('Please state the reason for cancelling this booking:') ?></p>

            <?php echo $form ?>

            <p><?php echo __('Relocations fees are not refunded for cancellations.') ?></p>

            <p><?php echo __('Are you sure that you want to cancel this booking') ?> (ID: <?php echo $listing->getId() ?>).</p>

            <hr/>
            <div class="text-center">
                <button type="submit" class="button alert"><?php echo __('Cancel booking') ?></button>
            </div>
        </form>
        <hr/>
        <div class="text-center">
            <?php echo link_to(__('Driver cancelled'), 'listing/driverCancelled?id='.$listing->getId(), array('class' => 'reveal-ajax')) ?> -
            <?php echo link_to(__('Driver did not show up'), 'listing/noshow?id='.$listing->getId(), array('class' => 'reveal-ajax')) ?>
        </div>
    </div>
</div>