<?php
use_helper('Transfercar', 'I18N');
use_javascript('https://maps.googleapis.com/maps/api/js?key='.sfConfig::get('app_gmaps_api_key').'&sensor=false&callback=gmap_callback');
use_javascript('owner/gmaps.js');
?>
<?php include_javascripts() ?>
<div id="distance_map" style="width:460px;height:400px;margin-bottom:10px;"></div>
<?php if (isset($distance)): ?>
<div class="row">
    <div class="five columns"><?php echo __('Distance') ?>: <strong><?php echo $distance ?> <?php echo __('kms') ?></strong></div>
    <div class="five columns end"><?php echo __('Recommended days') ?>: <strong><?php echo $nb_days ?></strong></div>
</div>
<?php endif ?>
<script type="text/javascript">
    function gmap_callback()
    {
        $('#distance_map').gmaps_route({
            "start": {
                "lat": <?php echo $from->get('latitude') ?>,
                "lon": <?php echo $from->get('longitude') ?>
            },
            "end":{
                "lat": <?php echo $to->get('latitude') ?>,
                "lon": <?php echo $to->get('longitude') ?>
            }
        });
    }
</script>