<h4>Complete Listing ID <?php echo $listing->getId() ?></h4>
<hr/>
<div class="row">
    <div class="twelve columns">
        <h5><?php echo __('Please place feedback about %driver% before completing.', ['%driver%' => $listing->getAcceptedRequest()->get('Driver')->get('username')]) ?></h5>
        <p><strong><?php echo __('This will mark the booking (Listing ID %tcid%) as Complete', ['%tcid%' => $listing->getId()]) ?></strong></p>

        <form action="<?php echo url_for('listing/rate?id='.$listing->getId()) ?>" class="request_rate_form reveal-ajax" method="post">
            <h5><?php echo __('Rating') ?></h5>
            <div class="row">
                <div class="twelve columns">
                    <?php echo $form['driver_rate']->renderRow() ?>
                </div>
            </div>

            <h5>Comment</h5>
            <div class="row">
                <div class="twelve columns">
                    <?php echo $form['internal_comment']->renderLabel('Private (displayed to Transfercar only)') ?>
                    <?php echo $form['internal_comment']->render() ?>
                    <?php echo $form['internal_comment']->renderError() ?>
                </div>
            </div>

            <div class="row">
                <div class="twelve columns">
                    <?php echo $form['comment']->renderLabel('Public (displayed to the driver)') ?>
                    <?php echo $form['comment']->render() ?>
                    <?php echo $form['comment']->renderError() ?>
                </div>
            </div>

            <div class="text-center">
                <?php echo $form['_csrf_token'] ?>
                <button type="submit" class="button medium"><?php echo __('Rate and Complete') ?></button>
            </div>
        </form>
    </div>
</div>