<h4>Respond to <?php echo $review->getDriver()->get('username') ?>'s review</h4>
<hr/>

<p>
    You can respond to <?php echo $review->getDriver()->get('username') ?>'s review
    of the experience with the <?php echo $review->get('Listing')->getTitle() ?> trip
    on <?php echo tc_format_date($review->get('Request')->get('pickup_date')) ?> -
    <?php echo tc_format_date($review->get('Request')->get('drop_off_date')) ?>:
</p>

<p>
    <em>
        &ldquo;<?php echo $review->get('ro_review') ?>&rdquo;
    </em>
</p>
<form action="<?php echo url_for('reviews/reply?id='.$review->getId()) ?>" class="reveal-ajax<?php echo $form->isBound() && !$form->isValid() ? ' error' : ' valid' ?>" method="post">
    <div>
        <h6>How would you like to respond?</h6>
        <p>Your response will be displayed on our website. You can only submit one response per review and it cannot be changed.</p>
        <?php echo render_row($form['reply'], $form['reply']->renderLabelName()) ?>
        <div class="text-center">
            <?php echo $form['_csrf_token'] ?>
            <button class="button medium" type="submit">Send</button>
        </div>
    </div>
</form>