<h4>Report to <?php echo $review->getDriver()->getFullName() ?>'s review</h4>
<hr/>

<p>
    <strong>
        Here you can report <?php echo $review->getDriver()->getFullName() ?>'s review
        and ask to have it removed from your profile page.
    </strong>
</p>
<p>
    <?php echo $review->getDriver()->getFullName() ?>'s review
    of the experience with the <?php echo $review->get('Listing')->getTitle() ?> trip
    on <?php echo tc_format_date($review->get('Request')->get('pickup_date')) ?> -
    <?php echo tc_format_date($review->get('Request')->get('drop_off_date')) ?> is:
</p>

<p>
    <em>
        &ldquo;<?php echo $review->get('ro_review') ?>&rdquo;
    </em>
</p>
<form action="<?php echo url_for('reviews/report?id='.$review->getId()) ?>" class="reveal-ajax" method="post">
    <div>
        <h6>What would you like to report about this review?</h6>
        <p>Your message will be sent to Transfercar's customer service for review.</p>

        <?php echo render_row($form['reply'], $form['reply']->renderLabelName()) ?>
        <div class="text-center">
            <?php echo $form['_csrf_token'] ?>
            <button class="button medium alert" type="submit">Send</button>
        </div>
    </div>
</form>