<?php

class userActions extends sfActions
{

  /**
   * Display user terms and conditions
   */
  public function executeTerms($request)
  {
    $id = intval($request->getParameter('id'));

    $this->terms = Doctrine_Query::create()
      ->from("Terms")
      ->where("id = ?", $id)
      ->fetchOne();

    $this->forward404Unless($this->terms);

    if ($request->getParameter('backToRequest'))
    {
      $this->listing = Doctrine::getTable('Listing')->find($request->getParameter('backToRequest'));

      if ($this->listing)
      {
        $this->getResponse()->setTitle(sprintf('Terms for listing %s (%s)', $this->listing->getId(), $id));
      }
    }
  }

}