
  <?php $value = object_select_tag($owner_vehicle_type, 'getVehicleTypeIdAndCountry', array (
  'key_method' => 'getIdAndCountry',
  'related_class' => 'VehicleType',
  'control_name' => 'owner_vehicle_type[VehicleType]',
  'peer_method' => 'findAllSorted',
  'include_blank' => true,
)); echo $value ? $value : '&nbsp;' ?>
<script type="text/javascript">
var vehicleTypes = [];
jQuery('#owner_vehicle_type_VehicleType option').each(function(){
  var id = this.value, country;

  if (id)
  {
    country = id.split('-')[1];
    id = id.split('-')[0];

    this.value=id;
    jQuery(this).addClass('country_'+country);

    vehicleTypes.push({
      country: country,
      option: this.outerHTML
    });
  }
});

function updateVehicleType()
{
  var
    vehicleVal = jQuery('#owner_vehicle_type_VehicleType').val(),
    countryVal = jQuery(this).val(),
    options = [];

  options.push('<option value="">Please choose...</option>');

  jQuery(vehicleTypes).each(function(){
    if (countryVal == this.country)
    {
      options.push(this.option);
    }
  });

  jQuery('#owner_vehicle_type_VehicleType')
    .html(options.join(''))
    .val(vehicleVal.split('-')[0]);
}

jQuery('#owner_vehicle_type_Country').on('change', updateVehicleType);
updateVehicleType.apply(document.getElementById('owner_vehicle_type_Country'));
</script>