<!DOCTYPE html>

<!-- paulirish.com/2008/conditional-stylesheets-vs-css-hacks-answer-neither/ -->
<!--[if IE 8]>    <html class="no-js lt-ie9" lang="en"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en"> <!--<![endif]-->

<head>
  <meta charset="utf-8" />
  <link rel="shortcut icon" href="/favicon.ico" />

  <?php include_http_metas() ?>
  <?php include_metas() ?>

  <?php include_title() ?>

  <!-- Included CSS Files, use foundation.css if you do not want minified code -->
  <?php use_stylesheet_grouped('/css/owner/foundation.css', 'global') ?>
  <?php use_stylesheet_grouped('/css/owner/app.css', 'global') ?>
  <?php use_stylesheet_grouped('/css/owner/hopscotch.css', 'global') ?>

  <!-- Included CSS Files, use foundation.css if you do not want minified code -->
  <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.6.1/css/font-awesome.min.css" rel="stylesheet" />
  <?php include_combined_stylesheets('global') ?>
  <?php include_combined_stylesheets() ?>
</head>

<body>
  <!-- Page Layout HTML here -->

  <?php include_partial('global/top_header') ?>

  <?php if ($sf_user->isAuthenticated()): ?>
    <?php include_partial('global/menu') ?>
  <?php endif ?>

  <div class="row" id="main_content">
    <div class="twelve columns">
      <?php echo $sf_content ?>
    </div>
  </div>

  <?php include_partial('global/footer') ?>
</body>
</html>
